Library Version 12.1.6.0

operator->
Prev | Chapter 16. Db_map_iterator | Next

## operator->

### Function Details

    pointer operator->() const

Arrow operator.

Return the pointer to the cached data element, which is an pair<Key_type, ElementRef<T> > object if T is a class type or an pair<Key_type, ElementHolder<T> > object if T is a C++ primitive data type.

#### Return Value

Current data element reference object's address, i.e. address of ElementHolder or ElementRef object.

### Class

db_map_iterator

Prev | Up | Next
operator * | Home | refresh